Package picard.analysis

## Class BaseDistributionByCycleMetrics

- java.lang.Object
- - htsjdk.samtools.metrics.MetricBase
  - - picard.analysis.BaseDistributionByCycleMetrics

-     public class BaseDistributionByCycleMetrics
      extends htsjdk.samtools.metrics.MetricBase

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `CYCLE` |
    `double` | `PCT_A` |
    `double` | `PCT_C` |
    `double` | `PCT_G` |
    `double` | `PCT_N` |
    `double` | `PCT_T` |
    `int` | `READ_END` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BaseDistributionByCycleMetrics()` |

  - ### Method Summary

    - ### Methods inherited from class htsjdk.samtools.metrics.MetricBase

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### READ_END

          public int READ_END

    - #### CYCLE

          public int CYCLE

    - #### PCT_A

          public double PCT_A

    - #### PCT_C

          public double PCT_C

    - #### PCT_G

          public double PCT_G

    - #### PCT_T

          public double PCT_T

    - #### PCT_N

          public double PCT_N

  - ### Constructor Detail

    - #### BaseDistributionByCycleMetrics

          public BaseDistributionByCycleMetrics()